Subject: Re: bug#22993: Potential fix/workaround for 22993

From: Alan Third <[email-masked]>
Date: Sat, 11 Jun 2016 17:19:35 +0100

On Sat, Jun 11, 2016 at 03:51:50PM +0000, Aaron Jensen wrote:
> On Fri, Jun 10, 2016 at 11:40 AM Alan Third <[email-masked]> wrote:
> 
> > Hi Aaron, I can't replicate the bug on my machine because this seems to
> > be exactly what happens. Are you still seeing this bug in a current
> > build?
> >
> 
> Hi Alan,
> 
> Yes, I can still repro with 25.0.95.1 on OS X 10.11.5. The following makes
> it easier to repro:
> 
> 1. Make sure your emacsclient is open already and it is displaying a buffer
> that is not displayed by any window on the gui frame.
> 2. Minimize the gui frame.
> 3. Watch Activity Monitor until Emacs says App Nap: Yes
> 
> At this point, typing in the terminal or running the function in the
> original report should not wake up the app from App Nap. As far as I can
> tell, the only thing that does is focusing the gui frame.

I can reproduce this. I suspect that I was doing something that was
causing the GUI window to update and that must have been bringing it
out of App Nap.

I don't actually see any performance issues, but that may just be
because my PC is otherwise idle.
-- 
Alan Third